## visad
Interface RealTupleIface

All Superinterfaces:
  Data, Thing, TupleIface

All Known Implementing Classes:
  RealTuple

public interface RealTupleIface
extends TupleIface

Interface to the VisAD data class for vectors in R^n for n>0.

Field Summary

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Method Summary
`Object` `clone()` Clones this instance.
`CoordinateSystem` `getCoordinateSystem()` Returns the coordinate system transformation.
`ErrorEstimate[]` `getErrors()` Returns the uncertainties of the components.
`Unit[]` `getTupleUnits()` Returns the units of the components.
`double[]` `getValues()` Returns the values of the components.
`String` `toString()` Returns a string representation of this instance.

Methods inherited from interface visad.TupleIface
`adjustSamplingError, binary, computeRanges, getComponent, getDimension, getRealComponents, isMissing, longString, unary`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Method Detail

### getValues

    public double[] getValues()

  Returns the values of the components.

  Returns:
    The values of the components.

### getTupleUnits

    public Unit[] getTupleUnits()

  Returns the units of the components.

  Returns:
    The units of the components.

### getErrors

    public ErrorEstimate[] getErrors()
                              throws VisADException,
                                     RemoteException

  Returns the uncertainties of the components.

  Returns:
    The uncertainties of the components.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()

  Returns the coordinate system transformation.

  Returns:
    The coordinate system transformation. May be `null`.

### clone

    public Object clone()

  Clones this instance.

  Returns:
    A clone of this instance.

### toString

    public String toString()

  Returns a string representation of this instance.

  Returns:
    A string representation of this instance.